aboutsummaryrefslogtreecommitdiff
path: root/test/run_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/run_test.sh')
-rwxr-xr-xtest/run_test.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/test/run_test.sh b/test/run_test.sh
index 9b7050b26..52e1761e8 100755
--- a/test/run_test.sh
+++ b/test/run_test.sh
@@ -27,8 +27,14 @@ else
fi
echo ">>> test ${testname}"
-${@}
-code=$?
+if [[ -n "${TEST_OUTPUT_WRAPPER}" ]] ; then
+ $TEST_OUTPUT_WRAPPER --stdout-prefix "${testname#./}> " --stderr-prefix "${testname#./}> " -- ${@}
+ code=$?
+else
+ ${@}
+ code=$?
+fi
+
if [[ 0 != ${code} ]] ; then
echo ">>> test ${testname} returned ${code}"
if test -f "$TEST_SCRIPT_DIR""${testname}"_"cleanup.sh" ; then